Bug 217990 - devel/kyua: kyua.conf overridden after package upgrade; shouldn't be installed to /usr/local/etc/kyua/kyua.conf or shouldn't be wiped out on upgrade/install
Summary: devel/kyua: kyua.conf overridden after package upgrade; shouldn't be installe...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alan Somers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-22 01:01 UTC by Enji Cooper
Modified: 2017-05-26 15:23 UTC (History)
3 users (show)

See Also:
asomers: maintainer-feedback+


Attachments
Turn kyua.conf into kyua.conf.sample (841 bytes, patch)
2017-04-24 16:09 UTC, Alan Somers
no flags Details | Diff
Turn kyua.conf into kyua.conf.sample (1.04 KB, patch)
2017-05-22 19:37 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2017-03-22 01:01:03 UTC
My kyua.conf got overridden after a recent package upgrade back to the stock version. I think kyua.conf shouldn't be installed to /usr/local/etc/kyua/kyua.conf, or at the very least shouldn't be blindly overridden.
Comment 1 Alan Somers freebsd_committer 2017-04-24 16:09:40 UTC
Created attachment 182047 [details]
Turn kyua.conf into kyua.conf.sample

The correct solution is to treat kyua.conf as a sample file.  Patch attached.
Comment 2 Alan Somers freebsd_committer 2017-05-22 19:37:11 UTC
Created attachment 182816 [details]
Turn kyua.conf into kyua.conf.sample

Update the patch to bump PORTREVISION
Comment 3 Alan Somers freebsd_committer 2017-05-22 19:37:46 UTC
jmmv (maintainer) has approved the patch via private email
Comment 4 Enji Cooper freebsd_committer 2017-05-22 20:04:47 UTC
(In reply to Alan Somers from comment #2)

LGTM. Would it make sense in this case to install the sample config file so it doesn't break kyua.conf use out of the box, or does kyua work without a config file (I forget, but intuition suggests no...)?
Comment 5 Alan Somers freebsd_committer 2017-05-22 20:09:12 UTC
Experiment shows that kyua works fine without a kyua.conf file.
Comment 6 commit-hook freebsd_committer 2017-05-24 14:35:06 UTC
A commit references this bug:

Author: asomers
Date: Wed May 24 14:34:19 UTC 2017
New revision: 441600
URL: https://svnweb.freebsd.org/changeset/ports/441600

Log:
  devel/kyua: Install kyua.conf as a sample file

  Previously, kyua upgrades would override users' changes to
  /usr/local/etc/kyua/kyua.conf.  Now the upgrade will only affect
  /usr/local/etc/kyua/kyua.conf.sample.

  PR:		217990
  Reported by:	ngie
  Reviewed by:	jmmv, ngie
  Approved by:	jmmv (maintainer)
  Approved by:	brd (ports)
  Sponsored by:	Spectra Logic Corp

Changes:
  head/devel/kyua/Makefile
  head/devel/kyua/pkg-plist